#include "mbed.h"
#include "EthernetInterface.h"

int main (void) {
    EthernetInterface eth;
    eth.init(); //Use DHCP
    eth.connect();
    printf("IP Address is %s\n", eth.getIPAddress());
    
    TCPSocketServer server;
    server.bind(7);
    server.listen(1);
    
    while (true) {
        printf("\nWait for new connection...\n");
        TCPSocketConnection client;
        server.accept(client);
        
        printf("Connection from: %s\n", client.get_address());
        char buffer[256];
        while (true) {
            int n = client.receive(buffer, 256, 3000);
            if (n <= 0) break;
            
            client.send_all(buffer, n, 3000);
            if (n <= 0) break;
        }
        client.close();
    }
}
